<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE module-description PUBLIC "-//StarOffice//DTD ComponentDescription 1.0//EN" "module-description.dtd">
<module-description xmlns:xlink="http://www.w3.org/1999/xlink">

    <module-name>
    srtrs
    </module-name>

    <component-description>
        <author>
        Dirk Voelzke
        </author>
        <name>
            com.sun.star.comp.ucb.SortedDynamicResultSetFactory
        </name>
        <description>
        This component implements a factory for sorted Content Resultsets.
        It can be used to sort resultsets obtained from UCB folder contents.
        </description>
        <loader-name>
            com.sun.star.loader.SharedLibrary
        </loader-name>
        <language>
            c++
        </language>
        <status value="final"/>
        <supported-service>
            com.sun.star.ucb.SortedDynamicResultSetFactory
        </supported-service>

        <service-dependency>
            com.sun.star.ucb.CachedDynamicResultSetStubFactory
        </service-dependency>
    </component-description>

    <project-build-dependency> sal                </project-build-dependency>
    <project-build-dependency> cppu               </project-build-dependency>
    <project-build-dependency> cppuhelper         </project-build-dependency>

    <runtime-module-dependency>	sal3			  </runtime-module-dependency>
    <runtime-module-dependency>	cppu3			  </runtime-module-dependency>
    <runtime-module-dependency>	cppuhelper3$(COM) </runtime-module-dependency>

    <type> com.sun.star.beans.XPropertySet                     </type>
    <type> com.sun.star.lang.XComponent                        </type>
    <type> com.sun.star.lang.XMultiServiceFactory              </type>
    <type> com.sun.star.lang.XSingleServiceFactory             </type>
    <type> com.sun.star.lang.XServiceInfo                      </type>
    <type> com.sun.star.lang.XTypeProvider                     </type>
    <type> com.sun.star.registry.XRegistryKey                  </type>
    <type> com.sun.star.sdbc.DataType                          </type>
    <type> com.sun.star.sdbc.XCloseable                        </type>
    <type> com.sun.star.sdbc.XResultSet                        </type>
    <type> com.sun.star.sdbc.XResultSetMetaDataSupplier        </type>
    <type> com.sun.star.sdbc.XRow                              </type>
    <type> com.sun.star.ucb.ContentResultSetCapability         </type>
    <type> com.sun.star.ucb.ListActionType                     </type>
    <type> com.sun.star.ucb.NumberedSortingInfo                </type>
    <type> com.sun.star.ucb.WelcomeDynamicResultSetStruct      </type>
    <type> com.sun.star.ucb.XCachedDynamicResultSetStubFactory </type>
    <type> com.sun.star.ucb.XContentAccess                     </type>
    <type> com.sun.star.ucb.XDynamicResultSet                  </type>
    <type> com.sun.star.ucb.XSortedDynamicResultSetFactory     </type>
    <type> com.sun.star.ucb.XSourceInitialization              </type>
    <type> com.sun.star.uno.XWeak                              </type>
</module-description>
